Subject: Re: bug#58664: 29.0.50; Dired fails to operate on files with newline charachters in name

From: Stephen Berman <[email-masked]>
Date: Thu, 20 Oct 2022 19:51:51 +0200

On Thu, 20 Oct 2022 17:39:12 +0000 Philip Kaludercic <[email-masked]> wrote:

> If I create a file in the shell using
>
>    $ touch "one
>    two"
>    $ ls
>    'one'$'\n''two'
>
> and try to open this directory using Dired, I get the following
>
>     -rw-r--r--. 1 philip philip    0 Oct 20 19:37 one
>   two
>
> where the "t" in two is highlighted.  If I try to mark the file and
> delete it, Dired attempts to delete the file "one", that luckily doesn't
> exist.

See (emacs) Dired Enter:

     Dired does not handle files that have names with embedded newline
  characters well.  If you have many such files, you may consider adding
  ‘-b’ to ‘dired-listing-switches’.  This will quote all special
  characters and allow Dired to handle them better.  (You can also use the
  ‘C-u C-x d’ command to add ‘-b’ temporarily.)

Steve Berman